Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui
Interface MultiView.Module

All Known Subinterfaces:
  MultiView.CalendarModule

All Known Implementing Classes:
  AddrListView, DayPanel, InfoView, MemoPanel, MonthPanel, SearchView, TaskModule, TodoView, WeekPanel, YearPanel

Enclosing class:
  MultiView

    public static interface MultiView.Module

interface implemented by all UI Modules. The MultiView manages a set of UI Modules. Each Module is responsible for providing a component to show in a multiview tab, responding to print requests, and requesting its own toolbar and menu items

Method Summary
`Component` | `getComponent()` get the Component for this Module
`String` | `getModuleName()` get the module's name
`MultiView.ViewType` | `getViewType()` get the modules ViewType
`void` | `initialize(MultiView parent)` called by the parent Multiview to allow the Module to initialize its toolbar items, menu items, and anything else that must be initalized before its Module methods can be called
`void` | `print()` print the Module

Method Detail

### getModuleName

    String getModuleName()

  get the module's name

  Returns:
    the name

### getViewType

    MultiView.ViewType getViewType()

  get the modules ViewType

  Returns:
    the ViewType

### getComponent

    Component getComponent()

  get the Component for this Module

  Returns:
    the Component or null if none to show

### print

    void print()

  print the Module

### initialize

    void initialize(MultiView parent)

  called by the parent Multiview to allow the Module to initialize its toolbar items, menu items, and anything else that must be initalized before its Module methods can be called

  Parameters:
    `parent` - the parent MultiView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic